### Method

# GtkSource SnippetContext set_constant

#### Declaration [src]

    void
    gtk_source_snippet_context_set_constant (
      GtkSourceSnippetContext* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets a constatnt within the context.

This is similar to a variable set with `gtk_source_snippet_context_set_variable()` but is expected to not change during use of the snippet.

Examples would be the date or users name.

#### Parameters

`key`

  Type: `const gchar*`

  The constant name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value of the constant.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.